﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

//添加引用
using System.ServiceModel;
using Cbcye.Contract;
using Cbcye.Service;

//[3] 将服务托管在控制台应用程序
namespace Cbcye.ServiceConsoleHost
{
    class Program
    {
        static void Main(string[] args)
        {
            StartListener();
        }

        public static void StartListener()
        {
            //WCF配置信息在App.Config中
            using (ServiceHost host = new ServiceHost(typeof(HelloWorldService)))
            {
                //注册启动时事件
                host.Opened += delegate
                {
                    Console.WriteLine("[Server] Begins to listen request on " + host.BaseAddresses[0].ToString());
                };
                host.Open();
                Console.Read();
            }
        }
    }
}
